User account creation filtered due to spam.

Bug 7411 - cistore.c:392: Internal compiler error in instantiate_virtual_regs_1, at function.c:3974
Summary: cistore.c:392: Internal compiler error in instantiate_virtual_regs_1, at func...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 3.1
: P1 critical
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2002-07-25 12:16 UTC by jwfrosch
Modified: 2003-07-25 17:33 UTC (History)
3 users (show)

See Also:
Host: i386-pc-solaris2.8
Target: i386-pc-solaris2.8
Build: i386-pc-solaris2.8
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jwfrosch 2002-07-25 12:16:01 UTC
	gcc -save-temps -Wall -g -fPIC -D__Sol2__ -Dunix -D_ENVELOPE_AR_ -DXWINDOWS -I/opt/ingr/include  -I/export/home/impd/ems/grnuc/include  -I/export/home/impd/ems/exnuc/include  -I/opt/ingr/bspmathdp/include/prototypes  -I/export/home/impd/ems/grnuc/proto_pub  -I/export/home/impd/ems/grnuc/proto_priv   -Dsun=1 -D__sun__=1 -Di386=1 -D__i386=1 -D__i386__=1 -DX11 -DNOT_SHARABLE -DINTEL -DSUNOS5 -DLITTLE_ENDIAN -DSYSV -DSYS5 -Di386 -D__i386 -DINGR -DRUN_X=1 -DVD_DEBUG -Dunix=1 -D__Sol2__ -D__i386__ -DRISV5  -c cistore.c

cistore.c:     In function `recall_parsed':
cistore.c:187: warning: int format, pointer arg (arg 7)
cistore.c:210: warning: implicit declaration of function `alloc_ci_data'
cistore.c:372: warning: implicit declaration of function `create_f_ent'
cistore.c:392: Internal compiler error in instantiate_virtual_regs_1, at function.c:3974
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

Release:
3.1

Environment:
System: SunOS dev08 5.8 Generic_108529-13 i86pc i386 i86pc
Architecture: i86pc

host:   i386-pc-solaris2.8
build:  i386-pc-solaris2.8
target: i386-pc-solaris2.8
configured with: ../gcc-3.1/configure

How-To-Repeat:
	try compiling the file the "cistore.i" with the above comand-line
----------start cistore.i ------------------------------------------------------------------
# 1 "cistore.c"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "cistore.c"
# 34 "cistore.c"
# 1 "/export/home/impd/ems/grnuc/include/cidef.h" 1
# 14 "/export/home/impd/ems/grnuc/include/cidef.h"
# 1 "/usr/include/sys/param.h" 1 3 4
# 37 "/usr/include/sys/param.h" 3 4
#pragma ident "@(#)param.h	1.76	00/02/14 SMI"

# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 1 3 4
# 25 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
#pragma ident "@(#)types.h	1.67	01/07/07 SMI"

# 1 "/usr/include/sys/isa_defs.h" 1 3 4
# 9 "/usr/include/sys/isa_defs.h" 3 4
#pragma ident "@(#)isa_defs.h	1.20	99/05/04 SMI"
# 28 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 2 3 4
# 1 "/usr/include/sys/feature_tests.h" 1 3 4
# 13 "/usr/include/sys/feature_tests.h" 3 4
#pragma ident "@(#)feature_tests.h	1.18	99/07/26 SMI"
# 29 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 2 3 4

# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/machtypes.h" 1 3 4
# 18 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/machtypes.h" 3 4
#pragma ident "@(#)machtypes.h	1.8	99/05/04 SMI"

# 1 "/usr/include/ia32/sys/machtypes.h" 1 3 4
# 9 "/usr/include/ia32/sys/machtypes.h" 3 4
#pragma ident "@(#)machtypes.h	1.1	99/05/04 SMI"
# 24 "/usr/include/ia32/sys/machtypes.h" 3 4
typedef struct _label_t { long val[6]; } label_t;

typedef unsigned char lock_t;
# 25 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/machtypes.h" 2 3 4
# 34 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 2 3 4
# 45 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
# 1 "/usr/include/sys/int_types.h" 1 3 4
# 9 "/usr/include/sys/int_types.h" 3 4
#pragma ident "@(#)int_types.h	1.6	97/08/20 SMI"
# 62 "/usr/include/sys/int_types.h" 3 4
typedef char int8_t;

typedef short int16_t;
typedef int int32_t;

typedef long long int64_t;

typedef unsigned char uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int uint32_t;

typedef unsigned long long uint64_t;
# 94 "/usr/include/sys/int_types.h" 3 4
typedef int64_t intmax_t;
typedef uint64_t uintmax_t;
# 110 "/usr/include/sys/int_types.h" 3 4
typedef int intptr_t;
typedef unsigned int uintptr_t;

typedef char int_least8_t;

typedef short int_least16_t;
typedef int int_least32_t;

typedef long long int_least64_t;

typedef unsigned char uint_least8_t;
typedef unsigned short uint_least16_t;
typedef unsigned int uint_least32_t;

typedef unsigned long long uint_least64_t;
# 46 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 2 3 4
# 62 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef long long longlong_t;
typedef unsigned long long u_longlong_t;
# 85 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef long t_scalar_t;
typedef unsigned long t_uscalar_t;

typedef unsigned char uchar_t;
typedef unsigned short ushort_t;
typedef unsigned int uint_t;
typedef unsigned long ulong_t;

typedef char *caddr_t;
typedef long daddr_t;
typedef short cnt_t;

typedef ulong_t paddr_t;
# 118 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef int ptrdiff_t;
# 127 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef ulong_t pfn_t;
typedef ulong_t pgcnt_t;
typedef long spgcnt_t;

typedef uchar_t use_t;
typedef short sysid_t;
typedef short index_t;
typedef void *timeout_id_t;
typedef void *bufcall_id_t;
# 149 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef long off_t;
# 158 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef longlong_t off64_t;

typedef ulong_t ino_t;
typedef long blkcnt_t;
typedef ulong_t fsblkcnt_t;
typedef ulong_t fsfilcnt_t;
# 183 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef u_longlong_t ino64_t;
typedef longlong_t blkcnt64_t;
typedef u_longlong_t fsblkcnt64_t;
typedef u_longlong_t fsfilcnt64_t;

typedef long blksize_t;

typedef enum { B_FALSE, B_TRUE } boolean_t;
# 210 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef int64_t pad64_t;
typedef uint64_t upad64_t;
# 223 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef longlong_t offset_t;
typedef u_longlong_t u_offset_t;
typedef u_longlong_t len_t;
typedef longlong_t diskaddr_t;

typedef union {
        offset_t _f;
        struct {
                int32_t _l;
                int32_t _u;
        } _p;
} lloff_t;
# 254 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef union {
        diskaddr_t _f;
        struct {
                int32_t _l;
                int32_t _u;
        } _p;
} lldaddr_t;
# 273 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef uint_t k_fltset_t;
# 287 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef long id_t;

typedef uint_t useconds_t;

typedef long suseconds_t;
# 308 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef ulong_t major_t;
typedef ulong_t minor_t;

typedef short pri_t;
# 328 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef ushort_t o_mode_t;
typedef short o_dev_t;
typedef ushort_t o_uid_t;
typedef o_uid_t o_gid_t;
typedef short o_nlink_t;
typedef short o_pid_t;
typedef ushort_t o_ino_t;

typedef int key_t;

typedef ulong_t mode_t;

typedef long uid_t;

typedef uid_t gid_t;

typedef id_t taskid_t;
typedef id_t projid_t;

typedef uint_t pthread_t;
typedef uint_t pthread_key_t;

typedef struct _pthread_mutex {
        struct {
                uint16_t __pthread_mutex_flag1;
                uint8_t __pthread_mutex_flag2;
                uint8_t __pthread_mutex_ceiling;
                uint16_t __pthread_mutex_type;
                uint16_t __pthread_mutex_magic;
        } __pthread_mutex_flags;
        union {
                struct {
                        uint8_t __pthread_mutex_pad[8];
                } __pthread_mutex_lock64;
                struct {
                        uint32_t __pthread_ownerpid;
                        uint32_t __pthread_lockword;
                } __pthread_mutex_lock32;
                upad64_t __pthread_mutex_owner64;
        } __pthread_mutex_lock;
        upad64_t __pthread_mutex_data;
} pthread_mutex_t;

typedef struct _pthread_cond {
        struct {
                uint8_t __pthread_cond_flag[4];
                uint16_t __pthread_cond_type;
                uint16_t __pthread_cond_magic;
        } __pthread_cond_flags;
        upad64_t __pthread_cond_data;
} pthread_cond_t;

typedef struct _pthread_rwlock {
        int32_t __pthread_rwlock_readers;
        uint16_t __pthread_rwlock_type;
        uint16_t __pthread_rwlock_magic;
        upad64_t __pthread_rwlock_pad1[3];
        upad64_t __pthread_rwlock_pad2[2];
        upad64_t __pthread_rwlock_pad3[2];
} pthread_rwlock_t;

typedef struct {
        void *__pthread_attrp;
} pthread_attr_t;

typedef struct {
        void *__pthread_mutexattrp;
} pthread_mutexattr_t;

typedef struct {
        void *__pthread_condattrp;
} pthread_condattr_t;

typedef struct {
        upad64_t __pthread_once_pad[4];
} pthread_once_t;

typedef struct {
        void *__pthread_rwlockattrp;
} pthread_rwlockattr_t;

typedef ulong_t dev_t;

typedef ulong_t nlink_t;
typedef long pid_t;
# 468 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef unsigned int size_t;
# 479 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef int ssize_t;

typedef long time_t;

typedef long clock_t;

typedef int clockid_t;

typedef int timer_t;

typedef unsigned char unchar;
typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned long ulong;
# 561 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 3 4
typedef unsigned char u_char;
typedef unsigned short u_short;
typedef unsigned int u_int;
typedef unsigned long u_long;
typedef struct _quad { int val[2]; } quad_t;
typedef quad_t quad;

# 1 "/usr/include/sys/select.h" 1 3 4
# 12 "/usr/include/sys/select.h" 3 4
#pragma ident "@(#)select.h	1.16	98/04/27 SMI"

# 1 "/usr/include/sys/time.h" 1 3 4
# 22 "/usr/include/sys/time.h" 3 4
#pragma ident "@(#)time.h	2.66	01/01/17 SMI"
# 49 "/usr/include/sys/time.h" 3 4
struct timeval {
        time_t tv_sec;
        suseconds_t tv_usec;
};
# 82 "/usr/include/sys/time.h" 3 4
struct timezone {
        int tz_minuteswest;
        int tz_dsttime;
};
# 100 "/usr/include/sys/time.h" 3 4
# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 1 3 4
# 101 "/usr/include/sys/time.h" 2 3 4
# 155 "/usr/include/sys/time.h" 3 4
struct itimerval {
        struct timeval it_interval;
        struct timeval it_value;
};
# 203 "/usr/include/sys/time.h" 3 4
typedef longlong_t hrtime_t;
# 320 "/usr/include/sys/time.h" 3 4
int adjtime(struct timeval *, struct timeval *);
# 331 "/usr/include/sys/time.h" 3 4
int getitimer(int, struct itimerval *);
int utimes(const char *, const struct timeval *);

int setitimer(int, struct itimerval *, struct itimerval *);
# 369 "/usr/include/sys/time.h" 3 4
int settimeofday(struct timeval *, void *);

hrtime_t gethrtime(void);
hrtime_t gethrvtime(void);
# 389 "/usr/include/sys/time.h" 3 4
int gettimeofday(struct timeval *, void *);
# 410 "/usr/include/sys/time.h" 3 4
# 1 "/usr/include/time.h" 1 3 4
# 16 "/usr/include/time.h" 3 4
#pragma ident "@(#)time.h	1.39	99/08/10 SMI"

# 1 "/usr/include/iso/time_iso.h" 1 3 4
# 28 "/usr/include/iso/time_iso.h" 3 4
#pragma ident "@(#)time_iso.h	1.1	99/08/09 SMI"
# 69 "/usr/include/iso/time_iso.h" 3 4
struct tm {
        int tm_sec;
        int tm_min;
        int tm_hour;
        int tm_mday;
        int tm_mon;
        int tm_year;
        int tm_wday;
        int tm_yday;
        int tm_isdst;
};

extern char *asctime(const struct tm *);
extern clock_t clock(void);
extern char *ctime(const time_t *);
extern double difftime(time_t, time_t);
extern struct tm *gmtime(const time_t *);
extern struct tm *localtime(const time_t *);
extern time_t mktime(struct tm *);
extern time_t time(time_t *);
extern size_t strftime(char *, size_t, const char *, const struct tm *);
# 21 "/usr/include/time.h" 2 3 4
# 67 "/usr/include/time.h" 3 4
extern char *strptime(const char *, const char *, struct tm *);
# 83 "/usr/include/time.h" 3 4
# 1 "/usr/include/sys/time_impl.h" 1 3 4
# 15 "/usr/include/sys/time_impl.h" 3 4
#pragma ident "@(#)time_impl.h	1.5	99/10/05 SMI"
# 36 "/usr/include/sys/time_impl.h" 3 4
typedef struct timespec {
        time_t tv_sec;
        long tv_nsec;
} timespec_t;
# 60 "/usr/include/sys/time_impl.h" 3 4
typedef struct timespec timestruc_t;
# 79 "/usr/include/sys/time_impl.h" 3 4
typedef struct itimerspec {
        struct timespec it_interval;
        struct timespec it_value;
} itimerspec_t;
# 84 "/usr/include/time.h" 2 3 4
# 98 "/usr/include/time.h" 3 4
union sigval {
        int sival_int;
        void *sival_ptr;
};

struct sigevent {
        int sigev_notify;
        int sigev_signo;
        union sigval sigev_value;
        void (*sigev_notify_function)(union sigval);
        pthread_attr_t *sigev_notify_attributes;
        int __sigev_pad2;
};

extern int clock_getres(clockid_t, struct timespec *);
extern int clock_gettime(clockid_t, struct timespec *);
extern int clock_settime(clockid_t, const struct timespec *);
extern int timer_create(clockid_t, struct sigevent *, timer_t *);
extern int timer_delete(timer_t);
extern int timer_getoverrun(timer_t);
extern int timer_gettime(timer_t, struct itimerspec *);
extern int timer_settime(timer_t, int, const struct itimerspec *,
                struct itimerspec *);
extern int nanosleep(const struct timespec *, struct timespec *);

extern void tzset(void);

extern char *tzname[2];

extern long _sysconf(int);

extern long timezone;
extern int daylight;

extern int cftime(char *, char *, const time_t *);
extern int ascftime(char *, const char *, const struct tm *);
extern long altzone;

extern struct tm *getdate(const char *);

extern int getdate_err;
# 411 "/usr/include/sys/time.h" 2 3 4
# 423 "/usr/include/sys/time.h" 3 4
# 1 "/usr/include/sys/select.h" 1 3 4
# 424 "/usr/include/sys/time.h" 2 3 4
# 18 "/usr/include/sys/select.h" 2 3 4
# 45 "/usr/include/sys/select.h" 3 4
typedef long fd_mask;

typedef long fds_mask;
# 73 "/usr/include/sys/select.h" 3 4
typedef struct fd_set {

        long fds_bits[(((1024)+(((sizeof (fds_mask) * 8))-1))/((sizeof (fds_mask) * 8)))];
} fd_set;
# 97 "/usr/include/sys/select.h" 3 4
extern int select(int, fd_set *, fd_set *, fd_set *, struct timeval *);
# 574 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h" 2 3 4
# 41 "/usr/include/sys/param.h" 2 3 4
# 413 "/usr/include/sys/param.h" 3 4
# 1 "/usr/include/sys/unistd.h" 1 3 4
# 25 "/usr/include/sys/unistd.h" 3 4
#pragma ident "@(#)unistd.h	1.37	98/10/28 SMI"
# 414 "/usr/include/sys/param.h" 2 3 4

extern long _sysconf(int);
# 15 "/export/home/impd/ems/grnuc/include/cidef.h" 2

# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/limits.h" 1 3 4
# 11 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/limits.h" 3 4
# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h" 1 3 4
# 25 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h" 3 4
#pragma ident "@(#)limits.h	1.51	99/10/08 SMI"

# 1 "/usr/include/iso/limits_iso.h" 1 3 4
# 28 "/usr/include/iso/limits_iso.h" 3 4
#pragma ident "@(#)limits_iso.h	1.1	99/08/09 SMI"
# 30 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h" 2 3 4
# 41 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h" 3 4
# 1 "/usr/include/sys/int_limits.h" 1 3 4
# 9 "/usr/include/sys/int_limits.h" 3 4
#pragma ident "@(#)int_limits.h	1.6	99/08/06 SMI"
# 42 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h" 2 3 4
# 279 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h" 3 4
extern long _sysconf(int);
# 12 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/limits.h" 2 3 4
# 18 "/export/home/impd/ems/grnuc/include/cidef.h" 2
# 35 "cistore.c" 2
# 1 "/export/home/impd/ems/grnuc/include/citypedef.h" 1
# 13 "/export/home/impd/ems/grnuc/include/citypedef.h"
# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 1 3 4
# 14 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdarg.h" 1 3 4
# 43 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdarg.h" 3 4
typedef __builtin_va_list __gnuc_va_list;
# 15 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 2 3 4
# 34 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
#pragma ident "@(#)stdio.h	1.78	99/12/08 SMI"

# 1 "/usr/include/iso/stdio_iso.h" 1 3 4
# 32 "/usr/include/iso/stdio_iso.h" 3 4
#pragma ident "@(#)stdio_iso.h	1.2	99/10/25 SMI"

# 1 "/usr/include/sys/va_list.h" 1 3 4
# 9 "/usr/include/sys/va_list.h" 3 4
#pragma ident "@(#)va_list.h	1.12	99/05/04 SMI"
# 26 "/usr/include/sys/va_list.h" 3 4
typedef void *__va_list;
# 37 "/usr/include/iso/stdio_iso.h" 2 3 4
# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio_tag.h" 1 3 4
# 18 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio_tag.h" 3 4
#pragma ident "@(#)stdio_tag.h	1.3	98/04/20 SMI"
# 30 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio_tag.h" 3 4
typedef struct __FILE __FILE;
# 38 "/usr/include/iso/stdio_iso.h" 2 3 4
# 1 "/usr/include/stdio_impl.h" 1 3 4
# 9 "/usr/include/stdio_impl.h" 3 4
#pragma ident "@(#)stdio_impl.h	1.8	99/06/10 SMI"
# 38 "/usr/include/stdio_impl.h" 3 4
struct __FILE
{

        ssize_t _cnt;
        unsigned char *_ptr;

        unsigned char *_base;
        unsigned char _flag;
        unsigned char _file;
        unsigned __orientation:2;
        unsigned __ionolock:1;
        unsigned __filler:5;
};
# 39 "/usr/include/iso/stdio_iso.h" 2 3 4
# 59 "/usr/include/iso/stdio_iso.h" 3 4
typedef long long __longlong_t;
# 75 "/usr/include/iso/stdio_iso.h" 3 4
typedef __FILE FILE;
# 88 "/usr/include/iso/stdio_iso.h" 3 4
typedef long fpos_t;
# 147 "/usr/include/iso/stdio_iso.h" 3 4
extern __FILE __iob[60];
# 164 "/usr/include/iso/stdio_iso.h" 3 4
extern int remove(const char *);
extern int rename(const char *, const char *);
extern FILE *tmpfile(void);
extern char *tmpnam(char *);
extern int fclose(FILE *);
extern int fflush(FILE *);
extern FILE *fopen(const char *, const char *);
extern FILE *freopen(const char *, const char *, FILE *);
extern void setbuf(FILE *, char *);
extern int setvbuf(FILE *, char *, int, size_t);

extern int fprintf(FILE *, const char *, ...);

extern int fscanf(FILE *, const char *, ...);

extern int printf(const char *, ...);

extern int scanf(const char *, ...);

extern int sprintf(char *, const char *, ...);

extern int sscanf(const char *, const char *, ...);
extern int vfprintf(FILE *, const char *, __va_list);
extern int vprintf(const char *, __va_list);
extern int vsprintf(char *, const char *, __va_list);
extern int fgetc(FILE *);
extern char *fgets(char *, int, FILE *);
extern int fputc(int, FILE *);
extern int fputs(const char *, FILE *);

extern int getc(FILE *);
extern int putc(int, FILE *);

extern int getchar(void);
extern int putchar(int);

extern char *gets(char *);
extern int puts(const char *);
extern int ungetc(int, FILE *);
extern size_t fread(void *, size_t, size_t, FILE *);
extern size_t fwrite(const void *, size_t, size_t, FILE *);
extern int fgetpos(FILE *, fpos_t *);
extern int fseek(FILE *, long, int);
extern int fsetpos(FILE *, const fpos_t *);
extern long ftell(FILE *);
extern void rewind(FILE *);

extern void clearerr(FILE *);
extern int feof(FILE *);
extern int ferror(FILE *);

extern void perror(const char *);

extern int __filbuf(FILE *);
extern int __flsbuf(int, FILE *);
# 37 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 2 3 4
# 123 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
typedef __longlong_t fpos64_t;
# 151 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
extern unsigned char _sibuf[], _sobuf[];
# 193 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
extern unsigned char *_bufendtab[];
extern FILE *_lastbuf;
# 229 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
extern void setbuffer(FILE *, char *, size_t);
extern int setlinebuf(FILE *);

extern int snprintf(char *, size_t, const char *, ...);

extern int vsnprintf(char *, size_t, const char *, __gnuc_va_list);
# 250 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
extern FILE *fdopen(int, const char *);
extern char *ctermid(char *);
extern int fileno(FILE *);
# 276 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
extern FILE *popen(const char *, const char *);
extern char *cuserid(char *);
extern char *tempnam(const char *, const char *);
extern int getopt(int, char *const *, const char *);

extern int getsubopt(char **, char *const *, char **);

extern char *optarg;
extern int optind, opterr, optopt;
extern int getw(FILE *);
extern int putw(int, FILE *);
extern int pclose(FILE *);

extern int fseeko(FILE *, off_t, int);
extern off_t ftello(FILE *);
# 305 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h" 3 4
extern FILE *fopen64(const char *, const char *);
extern FILE *freopen64(const char *, const char *, FILE *);
extern FILE *tmpfile64(void);
extern int fgetpos64(FILE *, fpos64_t *);
extern int fsetpos64(FILE *, const fpos64_t *);
extern int fseeko64(FILE *, off64_t, int);
extern off64_t ftello64(FILE *);
# 14 "/export/home/impd/ems/grnuc/include/citypedef.h" 2
# 1 "/usr/include/setjmp.h" 1 3 4
# 17 "/usr/include/setjmp.h" 3 4
#pragma ident "@(#)setjmp.h	1.36	99/08/10 SMI"

# 1 "/usr/include/iso/setjmp_iso.h" 1 3 4
# 28 "/usr/include/iso/setjmp_iso.h" 3 4
#pragma ident "@(#)setjmp_iso.h	1.1	99/08/09 SMI"
# 69 "/usr/include/iso/setjmp_iso.h" 3 4
typedef int jmp_buf[10];
# 79 "/usr/include/iso/setjmp_iso.h" 3 4
extern int setjmp(jmp_buf);
#pragma unknown_control_flow(setjmp)
extern int _setjmp(jmp_buf);
#pragma unknown_control_flow(_setjmp)
extern void longjmp(jmp_buf, int);
extern void _longjmp(jmp_buf, int);
# 20 "/usr/include/setjmp.h" 2 3 4
# 43 "/usr/include/setjmp.h" 3 4
typedef int sigjmp_buf[128];

extern int sigsetjmp(sigjmp_buf, int);
#pragma unknown_control_flow(sigsetjmp)
extern void siglongjmp(sigjmp_buf, int);
# 15 "/export/home/impd/ems/grnuc/include/citypedef.h" 2
# 1 "/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/limits.h" 1 3 4
# 16 "/export/home/impd/ems/grnuc/include/citypedef.h" 2

struct ci_instruction {

                                short *paramlist ;

                                char type ;

                                char nbparam ;
} ;

struct CI_FILE_DES {

                                        char name[1+1024],

                                                state ;

                                        FILE *w_strm,
                                                *r_strm ;
} ;

struct f_entry {

                                char *name ;

                                unsigned short no_instr;
} ;
# 166 "/export/home/impd/ems/grnuc/include/citypedef.h"
typedef struct {
                int size;

                void *addr;

} CIregsave;

struct instance_ci {

                                char ficcmd[1+1024] ;

                                struct ci_instruction *code ;

                                unsigned short nbinstr ;

                                char **vartable ;

                                char **varvaltable ;

                                char *vartypetable ;

                                unsigned short *vardimtable ;

                                unsigned char *varflagtable ;

                                int nbvar;

                                struct f_entry **f_entries ;
                                short nbf_entries ;

                                char *info ;

                                short nb_clone;

                                short i_cnst_list;

                                short options;

                                CIregsave *save_regs_info;

                                void *save_regs_buff;

} ;
# 36 "cistore.c" 2
# 1 "/export/home/impd/ems/grnuc/include/ciprivmacros.h" 1
# 37 "cistore.c" 2
# 1 "/export/home/impd/ems/exnuc/include/OMerrordef.h" 1
# 38 "cistore.c" 2
# 1 "/export/home/impd/ems/grnuc/include/cierrordef.h" 1
# 39 "cistore.c" 2
# 1 "/usr/include/malloc.h" 1 3 4
# 11 "/usr/include/malloc.h" 3 4
#pragma ident "@(#)malloc.h	1.11	97/08/23 SMI"
# 31 "/usr/include/malloc.h" 3 4
struct mallinfo {
        unsigned long arena;
        unsigned long ordblks;
        unsigned long smblks;
        unsigned long hblks;
        unsigned long hblkhd;
        unsigned long usmblks;
        unsigned long fsmblks;
        unsigned long uordblks;
        unsigned long fordblks;
        unsigned long keepcost;
};

void *malloc(size_t);
void free(void *);
void *realloc(void *, size_t);
int mallopt(int, int);
struct mallinfo mallinfo(void);
void *calloc(size_t, size_t);
# 40 "cistore.c" 2
# 1 "/usr/include/string.h" 1 3 4
# 16 "/usr/include/string.h" 3 4
#pragma ident "@(#)string.h	1.24	99/08/10 SMI"

# 1 "/usr/include/iso/string_iso.h" 1 3 4
# 28 "/usr/include/iso/string_iso.h" 3 4
#pragma ident "@(#)string_iso.h	1.2	99/11/09 SMI"
# 60 "/usr/include/iso/string_iso.h" 3 4
extern int memcmp(const void *, const void *, size_t);
extern void *memcpy(void *, const void *, size_t);
extern void *memmove(void *, const void *, size_t);
extern void *memset(void *, int, size_t);
extern char *strcat(char *, const char *);
extern int strcmp(const char *, const char *);
extern char *strcpy(char *, const char *);
extern int strcoll(const char *, const char *);
extern size_t strcspn(const char *, const char *);
extern char *strerror(int);
extern size_t strlen(const char *);
extern char *strncat(char *, const char *, size_t);
extern int strncmp(const char *, const char *, size_t);
extern char *strncpy(char *, const char *, size_t);
extern size_t strspn(const char *, const char *);
extern char *strtok(char *, const char *);
extern size_t strxfrm(char *, const char *, size_t);
# 112 "/usr/include/iso/string_iso.h" 3 4
extern void *memchr(const void *, int, size_t);
extern char *strchr(const char *, int);
extern char *strpbrk(const char *, const char *);
extern char *strrchr(const char *, int);
extern char *strstr(const char *, const char *);
# 19 "/usr/include/string.h" 2 3 4
# 63 "/usr/include/string.h" 3 4
extern void *memccpy(void *, const void *, int, size_t);

extern char *strsignal(int);
extern int ffs(int);
extern int strcasecmp(const char *, const char *);
extern int strncasecmp(const char *, const char *, size_t);
extern size_t strlcpy(char *, const char *, size_t);
extern size_t strlcat(char *, const char *, size_t);

extern char *strdup(const char *);
# 41 "cistore.c" 2

static int sz_char = sizeof(char),
           sz_short = sizeof(short),
           sz_unsigned = sizeof(unsigned int);

int CIreadhdr( input, vnum, tag, nbext, msg ) FILE *input ;
                                                char *vnum ,
                                                        *tag ;
                                                long *msg ;
                                                int *nbext ;
{

  int i, chr, rc = 0, len ;
  char magic[( sizeof( "!<ci>\n" ) - 1 )], format[20] ;

  *msg = 1 ;

  for( i = 0 ; i < ( sizeof( "!<ci>\n" ) - 1 ) ; i++ )
  {
    if( ( chr = fgetc( input ) ) == (-1) )
    {
      magic[i] = '\0' ; break ;
    }
    else
      magic[i] = chr ;
  }
  if( strncmp( magic, "!<ci>\n", ( sizeof( "!<ci>\n" ) - 1 ) ) == 0 )
  {
    if( fscanf( input, "%s%d", vnum, &len ) >= 0 )
    {
      if( len != 0 )
      {
        sprintf( format, " %%%dc%%d", len ) ;
        if( fscanf( input, format, tag, nbext ) < 0 )
        {
          goto READ_ERROR ;
        }
        tag[len] = '\0' ;
      }
      else if( fscanf( input, "%d" , nbext ) < 0 )
      {
        goto READ_ERROR ;
      }
      else
        tag[0] = '\0' ;
      rc = 1 ;
    }
    else
    {
READ_ERROR : *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ;
    }
  }
  else
    *msg = ((0x250<<16)+0X8000+((18)<< 3)+(2)) ;

  return rc ;
}
# 114 "cistore.c"
int recall_parsed( char *file_name,
                   char *tag,
                   struct instance_ci **p_code,
                   int *extnum,
                   long *msg )
{
               int i;

  char *old_data_addr ,
        *name_addr ,
        *io_addr ,
        *io_max ,
         version[80],
         dummy ;

  char *dataaddr ;
  short *textaddr ;

  short *text_addr;

  int nb_instr ,
                 nb_var ,
                 nb_regs = 0 ,
                 nb_f_ent ,
                 sz_text ,
                 sz_data ,
                 sz_names ,
                 data_addr_update;

  FILE *dot_e ;

  unsigned nb_char ;
               struct instance_ci *data ;
  int rc, nbext ;
# 157 "cistore.c"
  rc = 1 ; *msg = 1 ;

  if( ( dot_e = fopen( file_name, "r" ) ) == 0 )
  {
    *msg = ((0x250<<16)+0X8000+((3)<< 3)+(2)) ;
    return 0 ;
  }

  if( !CIreadhdr( dot_e, version, tag, &nbext, msg ) )
  {
    goto CLOSE ;
  }
  if( extnum ) *extnum = nbext ;

  if( fscanf( dot_e, "%d%d%d%d%d%d%d",
              &nb_var ,
              &nb_instr ,
              &sz_text ,
              &sz_data ,
              &old_data_addr ,
              &sz_names ,
              &nb_f_ent ) < 0 )
  {
    *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ;
    goto CLOSE ;
  }

  rc = sizeof( "1.2" ) - 1 ;

  if( strcmp( version, "1.2" ) != 0 )
  {
    *msg = ((0x250<<16)+0X8000+((19)<< 3)+(2)) ;
    goto CLOSE ;
  }

  if( !alloc_ci_data( nb_var ,
                        sz_data ,
                        nb_instr ,
                        sz_text ,
                        nb_f_ent ,
                        p_code ,
                        &dataaddr ,
                        &textaddr ) )
  {
    *msg = ((0x250<<16)+0X8000+((5)<< 3)+(2)) ;
    goto CLOSE ;
  }

  data = *p_code ;
  if( !( data->vartable[0] = malloc( sz_names ) ) )
  {
    *msg = ((0x250<<16)+0X8000+((5)<< 3)+(2)) ;
    goto CLOSE ;
  }

  text_addr = data->code->paramlist ;
  data_addr_update = ( data->varvaltable[0] ) - old_data_addr ;

  data->nbinstr = nb_instr ;
  if ( fread(&dummy, 1, 1, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };

  for( i = 0 ; i < nb_instr; i++ )
    if ( fread(&data->code[i].type, 2, 1, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };
  data->code->paramlist = text_addr;
  for( i = 1 ; i < nb_instr ; i++ )
    data->code[i].paramlist = data->code[i-1].paramlist + data->code[i-1].nbparam + 1 ;

  if ( fread(text_addr, sz_short, sz_text, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };

  data->nbvar = nb_var ;
  io_addr = ( data->varvaltable[0] ) ;

  if ( fread(data->varvaltable + 0, sizeof( 0 ), nb_var - 0, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };
  io_max = io_addr + sz_data;

  while( io_addr < io_max )
  {
    if ( fread(&nb_char, sz_unsigned, 1, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };
    for( i=0 ; i < nb_char ; i++ )
      io_addr[i] = '\0' ;
    io_addr += nb_char ;

    if ( fread(&nb_char, sz_unsigned, 1, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };
    if( nb_char > 0 )
      if ( fread(io_addr, sz_char, nb_char, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };
    io_addr += nb_char ;
  }

  if ( fread(&data->vartypetable[0], sz_char, data->nbvar - 0, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };

  if ( fread(&data->vardimtable[0], sz_short, data->nbvar - 0, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };

  if ( fread(&data->varflagtable[0], sz_char, data->nbvar - 0, dot_e) <= 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };

  name_addr = data->vartable[0];
  for( i = 0 ; i < nb_var ; i++ )
  {

    if ( fscanf( dot_e, " %s", name_addr ) < 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; };

    data->vartable[i] = name_addr;
    name_addr += ( strlen( data->vartable[i] ) + 1 ) ;

    if(data->vartable[i][0] == '^')
      nb_regs++;

    if( data->vartable[i][0] != '@' && !( data->varflagtable[i] & 0x2 ) )
      ( data->varvaltable[i] ) += data_addr_update;
  }

  {
    int tsize = 0;

    data->save_regs_info = (CIregsave *)malloc ((nb_regs + 1) * sizeof (CIregsave));
    data->save_regs_info[nb_regs].addr = 0;
    data->save_regs_info[nb_regs].size = 0;

    for (i = 0; i < nb_var; i++)
    {
      if (data->vartable[i][0] == '^')
      {
        switch (data->vartable[i][1])
        {
          case 'D': tsize += data->save_regs_info[--nb_regs].size = 8; break;
          case 'p':
          case 'I':
          case 'O': tsize += data->save_regs_info[--nb_regs].size = 4; break;
          case 'S': tsize += data->save_regs_info[--nb_regs].size = 2; break;
          case 'C': tsize += data->save_regs_info[--nb_regs].size = 1; break;
          default : tsize += data->save_regs_info[--nb_regs].size = 0; break;
        }
        data->save_regs_info[nb_regs].addr = ( data->varvaltable[i] );
      }
    }
    data->save_regs_buff = malloc (tsize);
  }

  for( i = 0 ; data->varflagtable[i] & 0x2 || *data->vartable[i] == '@' ; i++ ) ;
  ( data->varvaltable[nb_var] ) = ( data->varvaltable[i] ) + sz_data ;

  data->vartable[nb_var] = 0 ;

  data->nbf_entries = 0 ;
  for( i = 0 ; i < nb_f_ent ; i++ )
  {
    char s[80] ;
    short no_instr;
    if ( fscanf( dot_e, " %s", s ) < 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; } ;
    if ( fscanf( dot_e, " %hd", &no_instr ) < 0 ) { *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ; return 0 ; } ;
    if( !create_f_ent( data, s, no_instr ) )
    {
      *msg = ((0x250<<16)+0X8000+((5)<< 3)+(2)) ;
      goto CLOSE ;
    }
  }

CLOSE :
  if( fclose( dot_e ) != 0 )
  {
    *msg = ((0x250<<16)+0X8000+((16)<< 3)+(2)) ;
  }

  return *msg == 1 ;
}
---------- end cistore.i ------------------------------------------------------------------
---------- start cistore.s ------------------------------------------------------------------
	.file	"cistore.c"
	.version	"01.01"
	.stabs	"/usr2/grnuc34/src/pplsrc/com/",100,0,0,.Ltext0
	.stabs	"cistore.c",100,0,0,.Ltext0
	.text
.Ltext0:
	.stabs	"gcc2_compiled.",60,0,0,0
	.stabs	"int:t(0,1)=r(0,1);-2147483648;2147483647;",128,0,0,0
	.stabs	"char:t(0,2)=r(0,2);0;127;",128,0,0,0
	.stabs	"long int:t(0,3)=r(0,3);-2147483648;2147483647;",128,0,0,0
	.stabs	"unsigned int:t(0,4)=r(0,4);0000000000000;0037777777777;",128,0,0,0
	.stabs	"long unsigned int:t(0,5)=r(0,5);0000000000000;0037777777777;",128,0,0,0
	.stabs	"long long int:t(0,6)=@s64;r(0,6);01000000000000000000000;0777777777777777777777;",128,0,0,0
	.stabs	"long long unsigned int:t(0,7)=@s64;r(0,7);0000000000000;01777777777777777777777;",128,0,0,0
	.stabs	"short int:t(0,8)=@s16;r(0,8);-32768;32767;",128,0,0,0
	.stabs	"short unsigned int:t(0,9)=@s16;r(0,9);0;65535;",128,0,0,0
	.stabs	"signed char:t(0,10)=@s8;r(0,10);-128;127;",128,0,0,0
	.stabs	"unsigned char:t(0,11)=@s8;r(0,11);0;255;",128,0,0,0
	.stabs	"float:t(0,12)=r(0,1);4;0;",128,0,0,0
	.stabs	"double:t(0,13)=r(0,1);8;0;",128,0,0,0
	.stabs	"long double:t(0,14)=r(0,1);12;0;",128,0,0,0
	.stabs	"complex int:t(0,15)=s8real:(0,1),0,32;imag:(0,1),32,32;;",128,0,0,0
	.stabs	"complex float:t(0,16)=r(0,16);8;0;",128,0,0,0
	.stabs	"complex double:t(0,17)=r(0,17);16;0;",128,0,0,0
	.stabs	"complex long double:t(0,18)=r(0,18);24;0;",128,0,0,0
	.stabs	"__builtin_va_list:t(0,19)=*(0,2)",128,0,0,0
	.stabs	"_Bool:t(0,20)=@s8;-16;",128,0,0,0
	.stabs	"cistore.c",130,0,0,0
	.stabs	"/export/home/impd/ems/grnuc/include/cidef.h",130,0,0,0
	.stabs	"/usr/include/sys/param.h",130,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h",130,0,0,0
	.stabs	"/usr/include/sys/isa_defs.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/sys/feature_tests.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/machtypes.h",130,0,0,0
	.stabs	"/usr/include/ia32/sys/machtypes.h",130,0,0,0
	.stabs	"_label_t:T(8,1)=s24val:(8,2)=ar(8,3)=r(8,3);0000000000000;0037777777777;;0;5;(0,3),0,192;;",128,0,0,0
	.stabs	"label_t:t(8,4)=(8,1)",128,0,24,0
	.stabs	"lock_t:t(8,5)=(0,11)",128,0,28,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/sys/int_types.h",130,0,0,0
	.stabs	"int8_t:t(9,1)=(0,2)",128,0,62,0
	.stabs	"int16_t:t(9,2)=(0,8)",128,0,68,0
	.stabs	"int32_t:t(9,3)=(0,1)",128,0,69,0
	.stabs	"int64_t:t(9,4)=(0,6)",128,0,74,0
	.stabs	"uint8_t:t(9,5)=(0,11)",128,0,78,0
	.stabs	"uint16_t:t(9,6)=(0,9)",128,0,79,0
	.stabs	"uint32_t:t(9,7)=(0,4)",128,0,80,0
	.stabs	"uint64_t:t(9,8)=(0,7)",128,0,85,0
	.stabs	"intmax_t:t(9,9)=(9,4)",128,0,94,0
	.stabs	"uintmax_t:t(9,10)=(9,8)",128,0,95,0
	.stabs	"intptr_t:t(9,11)=(0,1)",128,0,110,0
	.stabs	"uintptr_t:t(9,12)=(0,4)",128,0,111,0
	.stabs	"int_least8_t:t(9,13)=(0,2)",128,0,119,0
	.stabs	"int_least16_t:t(9,14)=(0,8)",128,0,125,0
	.stabs	"int_least32_t:t(9,15)=(0,1)",128,0,126,0
	.stabs	"int_least64_t:t(9,16)=(0,6)",128,0,131,0
	.stabs	"uint_least8_t:t(9,17)=(0,11)",128,0,135,0
	.stabs	"uint_least16_t:t(9,18)=(0,9)",128,0,136,0
	.stabs	"uint_least32_t:t(9,19)=(0,4)",128,0,137,0
	.stabs	"uint_least64_t:t(9,20)=(0,7)",128,0,142,0
	.stabn	162,0,0,0
	.stabs	"longlong_t:t(4,1)=(0,6)",128,0,62,0
	.stabs	"u_longlong_t:t(4,2)=(0,7)",128,0,63,0
	.stabs	"t_scalar_t:t(4,3)=(0,3)",128,0,85,0
	.stabs	"t_uscalar_t:t(4,4)=(0,5)",128,0,86,0
	.stabs	"uchar_t:t(4,5)=(0,11)",128,0,92,0
	.stabs	"ushort_t:t(4,6)=(0,9)",128,0,93,0
	.stabs	"uint_t:t(4,7)=(0,4)",128,0,94,0
	.stabs	"ulong_t:t(4,8)=(0,5)",128,0,95,0
	.stabs	"caddr_t:t(4,9)=(4,10)=*(0,2)",128,0,97,0
	.stabs	"daddr_t:t(4,11)=(0,3)",128,0,98,0
	.stabs	"cnt_t:t(4,12)=(0,8)",128,0,99,0
	.stabs	"paddr_t:t(4,13)=(4,8)",128,0,102,0
	.stabs	"ptrdiff_t:t(4,14)=(0,1)",128,0,118,0
	.stabs	"pfn_t:t(4,15)=(4,8)",128,0,127,0
	.stabs	"pgcnt_t:t(4,16)=(4,8)",128,0,128,0
	.stabs	"spgcnt_t:t(4,17)=(0,3)",128,0,129,0
	.stabs	"use_t:t(4,18)=(4,5)",128,0,131,0
	.stabs	"sysid_t:t(4,19)=(0,8)",128,0,132,0
	.stabs	"index_t:t(4,20)=(0,8)",128,0,133,0
	.stabs	"timeout_id_t:t(4,21)=(4,22)=*(4,23)=(4,23)",128,0,134,0
	.stabs	"bufcall_id_t:t(4,24)=(4,22)",128,0,135,0
	.stabs	"off_t:t(4,25)=(0,3)",128,0,149,0
	.stabs	"off64_t:t(4,26)=(4,1)",128,0,158,0
	.stabs	"ino_t:t(4,27)=(4,8)",128,0,165,0
	.stabs	"blkcnt_t:t(4,28)=(0,3)",128,0,166,0
	.stabs	"fsblkcnt_t:t(4,29)=(4,8)",128,0,167,0
	.stabs	"fsfilcnt_t:t(4,30)=(4,8)",128,0,168,0
	.stabs	"ino64_t:t(4,31)=(4,2)",128,0,183,0
	.stabs	"blkcnt64_t:t(4,32)=(4,1)",128,0,184,0
	.stabs	"fsblkcnt64_t:t(4,33)=(4,2)",128,0,185,0
	.stabs	"fsfilcnt64_t:t(4,34)=(4,2)",128,0,186,0
	.stabs	"blksize_t:t(4,35)=(0,3)",128,0,193,0
	.stabs	" :T(4,36)=eB_FALSE:0,B_TRUE:1,;",128,0,0,0
	.stabs	"boolean_t:t(4,37)=(4,36)",128,0,199,0
	.stabs	"pad64_t:t(4,38)=(9,4)",128,0,210,0
	.stabs	"upad64_t:t(4,39)=(9,8)",128,0,211,0
	.stabs	"offset_t:t(4,40)=(4,1)",128,0,223,0
	.stabs	"u_offset_t:t(4,41)=(4,2)",128,0,224,0
	.stabs	"len_t:t(4,42)=(4,2)",128,0,225,0
	.stabs	"diskaddr_t:t(4,43)=(4,1)",128,0,226,0
	.stabs	"lloff_t:t(4,44)=(4,45)=u8_f:(4,40),0,64;_p:(4,46)=s8_l:(9,3),0,32;_u:(9,3),32,32;;,0,64;;",128,0,240,0
	.stabs	"lldaddr_t:t(4,47)=(4,48)=u8_f:(4,43),0,64;_p:(4,49)=s8_l:(9,3),0,32;_u:(9,3),32,32;;,0,64;;",128,0,260,0
	.stabs	"k_fltset_t:t(4,50)=(4,7)",128,0,273,0
	.stabs	"id_t:t(4,51)=(0,3)",128,0,287,0
	.stabs	"useconds_t:t(4,52)=(4,7)",128,0,294,0
	.stabs	"suseconds_t:t(4,53)=(0,3)",128,0,298,0
	.stabs	"major_t:t(4,54)=(4,8)",128,0,308,0
	.stabs	"minor_t:t(4,55)=(4,8)",128,0,309,0
	.stabs	"pri_t:t(4,56)=(0,8)",128,0,315,0
	.stabs	"o_mode_t:t(4,57)=(4,6)",128,0,328,0
	.stabs	"o_dev_t:t(4,58)=(0,8)",128,0,329,0
	.stabs	"o_uid_t:t(4,59)=(4,6)",128,0,330,0
	.stabs	"o_gid_t:t(4,60)=(4,59)",128,0,331,0
	.stabs	"o_nlink_t:t(4,61)=(0,8)",128,0,332,0
	.stabs	"o_pid_t:t(4,62)=(0,8)",128,0,333,0
	.stabs	"o_ino_t:t(4,63)=(4,6)",128,0,334,0
	.stabs	"key_t:t(4,64)=(0,1)",128,0,340,0
	.stabs	"mode_t:t(4,65)=(4,8)",128,0,344,0
	.stabs	"uid_t:t(4,66)=(0,3)",128,0,352,0
	.stabs	"gid_t:t(4,67)=(4,66)",128,0,356,0
	.stabs	"taskid_t:t(4,68)=(4,51)",128,0,358,0
	.stabs	"projid_t:t(4,69)=(4,51)",128,0,359,0
	.stabs	"pthread_t:t(4,70)=(4,7)",128,0,366,0
	.stabs	"pthread_key_t:t(4,71)=(4,7)",128,0,367,0
	.stabs	"_pthread_mutex:T(4,72)=s24__pthread_mutex_flags:(4,73)=s8__pthread_mutex_flag1:(9,6),0,16;__pthread_mutex_flag2:(9,5),16,8;__pthread_mutex_ceiling:(9,5),24,8;__pthread_mutex_type:(9,6),32,16;__pthread_mutex_magic:(9,6),48,16;;,0,64;__pthread_mutex_lock:(4,74)=u8__pthread_mutex_lock64:(4,75)=s8__pthread_mutex_pad:(4,76)=ar(8,3);0;7;(9,5),0,64;;,0,64;__pthread_mutex_lock32:(4,77)=s8__pthread_ownerpid:(9,7),0,32;__pthread_lockword:(9,7),32,32;;,0,64;__pthread_mutex_owner64:(4,39),0,64;;,64,64;__pthread_mutex_data:(4,39),128,64;;",128,0,0,0
	.stabs	"pthread_mutex_t:t(4,78)=(4,72)",128,0,388,0
	.stabs	"_pthread_cond:T(4,79)=s16__pthread_cond_flags:(4,80)=s8__pthread_cond_flag:(4,81)=ar(8,3);0;3;(9,5),0,32;__pthread_cond_type:(9,6),32,16;__pthread_cond_magic:(9,6),48,16;;,0,64;__pthread_cond_data:(4,39),64,64;;",128,0,0,0
	.stabs	"pthread_cond_t:t(4,82)=(4,79)",128,0,397,0
	.stabs	"_pthread_rwlock:T(4,83)=s64__pthread_rwlock_readers:(9,3),0,32;__pthread_rwlock_type:(9,6),32,16;__pthread_rwlock_magic:(9,6),48,16;__pthread_rwlock_pad1:(4,84)=ar(8,3);0;2;(4,39),64,192;__pthread_rwlock_pad2:(4,85)=ar(8,3);0;1;(4,39),256,128;__pthread_rwlock_pad3:(4,85),384,128;;",128,0,0,0
	.stabs	"pthread_rwlock_t:t(4,86)=(4,83)",128,0,409,0
	.stabs	"pthread_attr_t:t(4,87)=(4,88)=s4__pthread_attrp:(4,22),0,32;;",128,0,416,0
	.stabs	"pthread_mutexattr_t:t(4,89)=(4,90)=s4__pthread_mutexattrp:(4,22),0,32;;",128,0,423,0
	.stabs	"pthread_condattr_t:t(4,91)=(4,92)=s4__pthread_condattrp:(4,22),0,32;;",128,0,430,0
	.stabs	"pthread_once_t:t(4,93)=(4,94)=s32__pthread_once_pad:(4,95)=ar(8,3);0;3;(4,39),0,256;;",128,0,437,0
	.stabs	"pthread_rwlockattr_t:t(4,96)=(4,97)=s4__pthread_rwlockattrp:(4,22),0,32;;",128,0,445,0
	.stabs	"dev_t:t(4,98)=(4,8)",128,0,447,0
	.stabs	"nlink_t:t(4,99)=(4,8)",128,0,453,0
	.stabs	"pid_t:t(4,100)=(0,3)",128,0,454,0
	.stabs	"size_t:t(4,101)=(0,4)",128,0,468,0
	.stabs	"ssize_t:t(4,102)=(0,1)",128,0,479,0
	.stabs	"time_t:t(4,103)=(0,3)",128,0,485,0
	.stabs	"clock_t:t(4,104)=(0,3)",128,0,490,0
	.stabs	"clockid_t:t(4,105)=(0,1)",128,0,495,0
	.stabs	"timer_t:t(4,106)=(0,1)",128,0,500,0
	.stabs	"unchar:t(4,107)=(0,11)",128,0,507,0
	.stabs	"ushort:t(4,108)=(0,9)",128,0,508,0
	.stabs	"uint:t(4,109)=(0,4)",128,0,509,0
	.stabs	"ulong:t(4,110)=(0,5)",128,0,510,0
	.stabs	"u_char:t(4,111)=(0,11)",128,0,561,0
	.stabs	"u_short:t(4,112)=(0,9)",128,0,562,0
	.stabs	"u_int:t(4,113)=(0,4)",128,0,563,0
	.stabs	"u_long:t(4,114)=(0,5)",128,0,564,0
	.stabs	"_quad:T(4,115)=s8val:(4,116)=ar(8,3);0;1;(0,1),0,64;;",128,0,0,0
	.stabs	"quad_t:t(4,117)=(4,115)",128,0,565,0
	.stabs	"quad:t(4,118)=(4,117)",128,0,566,0
	.stabs	"/usr/include/sys/select.h",130,0,0,0
	.stabs	"/usr/include/sys/time.h",130,0,0,0
	.stabs	"timeval:T(11,1)=s8tv_sec:(4,103),0,32;tv_usec:(4,53),32,32;;",128,0,0,0
	.stabs	"timezone:T(11,2)=s8tz_minuteswest:(0,1),0,32;tz_dsttime:(0,1),32,32;;",128,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/sys/types.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"itimerval:T(11,3)=s16it_interval:(11,1),0,64;it_value:(11,1),64,64;;",128,0,0,0
	.stabs	"hrtime_t:t(11,4)=(4,1)",128,0,203,0
	.stabs	"/usr/include/time.h",130,0,0,0
	.stabs	"/usr/include/iso/time_iso.h",130,0,0,0
	.stabs	"tm:T(14,1)=s36tm_sec:(0,1),0,32;tm_min:(0,1),32,32;tm_hour:(0,1),64,32;tm_mday:(0,1),96,32;tm_mon:(0,1),128,32;tm_year:(0,1),160,32;tm_wday:(0,1),192,32;tm_yday:(0,1),224,32;tm_isdst:(0,1),256,32;;",128,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/sys/time_impl.h",130,0,0,0
	.stabs	"timespec:T(15,1)=s8tv_sec:(4,103),0,32;tv_nsec:(0,3),32,32;;",128,0,0,0
	.stabs	"timespec_t:t(15,2)=(15,1)",128,0,39,0
	.stabs	"timestruc_t:t(15,3)=(15,1)",128,0,60,0
	.stabs	"itimerspec:T(15,4)=s16it_interval:(15,1),0,64;it_value:(15,1),64,64;;",128,0,0,0
	.stabs	"itimerspec_t:t(15,5)=(15,4)",128,0,82,0
	.stabn	162,0,0,0
	.stabs	"sigval:T(13,1)=u4sival_int:(0,1),0,32;sival_ptr:(4,22),0,32;;",128,0,0,0
	.stabs	"sigevent:T(13,2)=s24sigev_notify:(0,1),0,32;sigev_signo:(0,1),32,32;sigev_value:(13,1),64,32;sigev_notify_function:(13,3)=*(13,4)=f(4,23),96,32;sigev_notify_attributes:(13,5)=*(4,87),128,32;__sigev_pad2:(0,1),160,32;;",128,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/sys/select.h",130,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"fd_mask:t(10,1)=(0,3)",128,0,45,0
	.stabs	"fds_mask:t(10,2)=(0,3)",128,0,47,0
	.stabs	"fd_set:T(10,3)=s128fds_bits:(10,4)=ar(8,3);0;31;(0,3),0,1024;;",128,0,0,0
	.stabs	"fd_set:t(10,5)=(10,3)",128,0,78,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/sys/unistd.h",130,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/limits.h",130,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/syslimits.h",130,0,0,0
	.stabs	"/usr/include/iso/limits_iso.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/sys/int_limits.h",130,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"/export/home/impd/ems/grnuc/include/citypedef.h",130,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio.h",130,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdarg.h",130,0,0,0
	.stabs	"__gnuc_va_list:t(24,1)=(0,19)",128,0,43,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/iso/stdio_iso.h",130,0,0,0
	.stabs	"/usr/include/sys/va_list.h",130,0,0,0
	.stabs	"__va_list:t(26,1)=(4,22)",128,0,26,0
	.stabn	162,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/stdio_tag.h",130,0,0,0
	.stabs	"__FILE:t(27,1)=(27,2)=xs__FILE:",128,0,30,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/stdio_impl.h",130,0,0,0
	.stabs	"__FILE:T(27,2)=s16_cnt:(4,102),0,32;_ptr:(28,1)=*(0,11),32,32;_base:(28,1),64,32;_flag:(0,11),96,8;_file:(0,11),104,8;__orientation:(0,4),112,2;__ionolock:(0,4),114,1;__filler:(0,4),115,5;;",128,0,0,0
	.stabn	162,0,0,0
	.stabs	"__longlong_t:t(25,1)=(0,6)",128,0,59,0
	.stabs	"FILE:t(25,2)=(27,1)",128,0,75,0
	.stabs	"fpos_t:t(25,3)=(0,3)",128,0,88,0
	.stabn	162,0,0,0
	.stabs	"fpos64_t:t(23,1)=(25,1)",128,0,123,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/setjmp.h",130,0,0,0
	.stabs	"/usr/include/iso/setjmp_iso.h",130,0,0,0
	.stabs	"jmp_buf:t(30,1)=(30,2)=ar(8,3);0;9;(0,1)",128,0,69,0
	.stabn	162,0,0,0
	.stabs	"sigjmp_buf:t(29,1)=(29,2)=ar(8,3);0;127;(0,1)",128,0,43,0
	.stabn	162,0,0,0
	.stabs	"/usr/local/lib/gcc-lib/i386-pc-solaris2.8/3.1/include/limits.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"ci_instruction:T(22,1)=s8paramlist:(22,2)=*(0,8),0,32;type:(0,2),32,8;nbparam:(0,2),40,8;;",128,0,0,0
	.stabs	"CI_FILE_DES:T(22,3)=s1036name:(22,4)=ar(8,3);0;1024;(0,2),0,8200;state:(0,2),8200,8;w_strm:(22,5)=*(25,2),8224,32;r_strm:(22,5),8256,32;;",128,0,0,0
	.stabs	"f_entry:T(22,6)=s8name:(4,10),0,32;no_instr:(0,9),32,16;;",128,0,0,0
	.stabs	"CIregsave:t(22,7)=(22,8)=s8size:(0,1),0,32;addr:(4,22),32,32;;",128,0,173,0
	.stabs	"instance_ci:T(22,9)=s1088ficcmd:(22,4),0,8200;code:(22,10)=*(22,1),8224,32;nbinstr:(0,9),8256,16;vartable:(22,11)=*(4,10),8288,32;varvaltable:(22,11),8320,32;vartypetable:(4,10),8352,32;vardimtable:(22,12)=*(0,9),8384,32;varflagtable:(28,1),8416,32;nbvar:(0,1),8448,32;f_entries:(22,13)=*(22,14)=*(22,6),8480,32;nbf_entries:(0,8),8512,16;info:(4,10),8544,32;nb_clone:(0,8),8576,16;i_cnst_list:(0,8),8592,16;options:(0,8),8608,16;save_regs_info:(22,15)=*(22,7),8640,32;save_regs_buff:(4,22),8672,32;;",128,0,0,0
	.stabn	162,0,0,0
	.stabs	"/export/home/impd/ems/grnuc/include/ciprivmacros.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/export/home/impd/ems/exnuc/include/OMerrordef.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/export/home/impd/ems/grnuc/include/cierrordef.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/malloc.h",130,0,0,0
	.stabs	"mallinfo:T(35,1)=s40arena:(0,5),0,32;ordblks:(0,5),32,32;smblks:(0,5),64,32;hblks:(0,5),96,32;hblkhd:(0,5),128,32;usmblks:(0,5),160,32;fsmblks:(0,5),192,32;uordblks:(0,5),224,32;fordblks:(0,5),256,32;keepcost:(0,5),288,32;;",128,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/include/string.h",130,0,0,0
	.stabs	"/usr/include/iso/string_iso.h",130,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.data
	.align 4
	.type	sz_char,@object
	.size	sz_char,4
sz_char:
	.long	1
	.align 4
	.type	sz_short,@object
	.size	sz_short,4
sz_short:
	.long	2
	.align 4
	.type	sz_unsigned,@object
	.size	sz_unsigned,4
sz_unsigned:
	.long	4
	.section	.rodata
.LC0:
	.string	"!<ci>\n"
.LC1:
	.string	"%s%d"
.LC2:
	.string	" %%%dc%%d"
.LC3:
	.string	"%d"
	.text
	.align 2
	.stabs	"CIreadhdr:F(0,1)",36,0,55,CIreadhdr
	.stabs	"input:p(22,5)",160,0,50,8
	.stabs	"vnum:p(4,10)",160,0,51,12
	.stabs	"tag:p(4,10)",160,0,52,16
	.stabs	"nbext:p(1,1)=*(0,1)",160,0,54,20
	.stabs	"msg:p(1,2)=*(0,3)",160,0,53,24
.globl CIreadhdr
	.type	CIreadhdr,@function
CIreadhdr:
	.stabn 68,0,55,.LM1-CIreadhdr
.LM1:
.LBB2:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	subl	$68, %esp
	call	.L18
.L18:
	popl	%ebx
	addl	$_GLOBAL_OFFSET_TABLE_+[.-.L18], %ebx
	.stabn 68,0,58,.LM2-CIreadhdr
.LM2:
	movl	$0, -20(%ebp)
	.stabn 68,0,61,.LM3-CIreadhdr
.LM3:
	movl	24(%ebp), %eax
	movl	$1, (%eax)
	.stabn 68,0,64,.LM4-CIreadhdr
.LM4:
	movl	$0, -12(%ebp)
.L2:
	cmpl	$5, -12(%ebp)
	jbe	.L5
	jmp	.L3
.L5:
	.stabn 68,0,66,.LM5-CIreadhdr
.LM5:
	subl	$12, %esp
	pushl	8(%ebp)
	call	fgetc@PLT
	addl	$16, %esp
	movl	%eax, -16(%ebp)
	cmpl	$-1, -16(%ebp)
	jne	.L6
	.stabn 68,0,68,.LM6-CIreadhdr
.LM6:
	leal	-40(%ebp), %eax
	addl	-12(%ebp), %eax
	movb	$0, (%eax)
	jmp	.L3
.L6:
	.stabn 68,0,71,.LM7-CIreadhdr
.LM7:
	leal	-40(%ebp), %eax
	movl	%eax, %edx
	addl	-12(%ebp), %edx
	movb	-16(%ebp), %al
	movb	%al, (%edx)
	.stabn 68,0,64,.LM8-CIreadhdr
.LM8:
	leal	-12(%ebp), %eax
	incl	(%eax)
	jmp	.L2
.L3:
	.stabn 68,0,73,.LM9-CIreadhdr
.LM9:
	subl	$4, %esp
	pushl	$6
	leal	.LC0@GOTOFF(%ebx), %eax
	pushl	%eax
	leal	-40(%ebp), %eax
	pushl	%eax
	call	strncmp@PLT
	addl	$16, %esp
	testl	%eax, %eax
	jne	.L8
	.stabn 68,0,75,.LM10-CIreadhdr
.LM10:
	leal	-24(%ebp), %eax
	pushl	%eax
	pushl	12(%ebp)
	leal	.LC1@GOTOFF(%ebx), %eax
	pushl	%eax
	pushl	8(%ebp)
	call	fscanf@PLT
	addl	$16, %esp
	testl	%eax, %eax
	js	.L12
	.stabn 68,0,77,.LM11-CIreadhdr
.LM11:
	cmpl	$0, -24(%ebp)
	je	.L10
	.stabn 68,0,79,.LM12-CIreadhdr
.LM12:
	subl	$4, %esp
	pushl	-24(%ebp)
	leal	.LC2@GOTOFF(%ebx), %eax
	pushl	%eax
	leal	-72(%ebp), %eax
	pushl	%eax
	call	sprintf@PLT
	addl	$16, %esp
	.stabn 68,0,80,.LM13-CIreadhdr
.LM13:
	pushl	20(%ebp)
	pushl	16(%ebp)
	leal	-72(%ebp), %eax
	pushl	%eax
	pushl	8(%ebp)
	call	fscanf@PLT
	addl	$16, %esp
	testl	%eax, %eax
	jns	.L11
	.stabn 68,0,82,.LM14-CIreadhdr
.LM14:
	jmp	.L12
.L11:
	.stabn 68,0,84,.LM15-CIreadhdr
.LM15:
	movl	-24(%ebp), %eax
	addl	16(%ebp), %eax
	movb	$0, (%eax)
	jmp	.L13
.L10:
	.stabn 68,0,86,.LM16-CIreadhdr
.LM16:
	subl	$4, %esp
	pushl	20(%ebp)
	leal	.LC3@GOTOFF(%ebx), %eax
	pushl	%eax
	pushl	8(%ebp)
	call	fscanf@PLT
	addl	$16, %esp
	testl	%eax, %eax
	jns	.L14
	.stabn 68,0,88,.LM17-CIreadhdr
.LM17:
	jmp	.L12
.L14:
	.stabn 68,0,91,.LM18-CIreadhdr
.LM18:
	movl	16(%ebp), %eax
	movb	$0, (%eax)
.L13:
	.stabn 68,0,92,.LM19-CIreadhdr
.LM19:
	movl	$1, -20(%ebp)
	jmp	.L17
.L12:
	.stabn 68,0,96,.LM20-CIreadhdr
.LM20:
	movl	24(%ebp), %eax
	movl	$38830210, (%eax)
	jmp	.L17
.L8:
	.stabn 68,0,100,.LM21-CIreadhdr
.LM21:
	movl	24(%ebp), %eax
	movl	$38830226, (%eax)
.L17:
	.stabn 68,0,102,.LM22-CIreadhdr
.LM22:
	movl	-20(%ebp), %eax
.LBE2:
	.stabn 68,0,103,.LM23-CIreadhdr
.LM23:
	movl	-4(%ebp), %ebx
	leave
	ret
.Lfe1:
	.size	CIreadhdr,.Lfe1-CIreadhdr
	.stabs	"i:(0,1)",128,0,58,-12
	.stabs	"chr:(0,1)",128,0,58,-16
	.stabs	"rc:(0,1)",128,0,58,-20
	.stabs	"len:(0,1)",128,0,58,-24
	.stabs	"magic:(1,3)=ar(8,3);0;5;(0,2)",128,0,59,-40
	.stabs	"format:(1,4)=ar(8,3);0;19;(0,2)",128,0,59,-72
	.stabn	192,0,0,.LBB2-CIreadhdr
	.stabn	224,0,0,.LBE2-CIreadhdr
.Lscope0:
	.stabs	"",36,0,0,.Lscope0-CIreadhdr

---------- end cistore.s ------------------------------------------------------------------

Unformatted:
 To: gcc-gnats@gcc.gnu.org
 Subject: cistore.c:392: Internal compiler error in instantiate_virtual_regs_1, at function.c:3974
 From: Hans Frosch
 Reply-To: jwfrosch@ingr.ocm
 Cc:
 X-send-pr-version: 3.113
 X-GNATS-Notify:
Comment 1 jwfrosch 2002-07-25 12:16:01 UTC
Fix:
	Not found any workaraound
Comment 2 Volker Reichelt 2002-08-08 17:35:32 UTC
From: Reichelt <reichelt@igpm.rwth-aachen.de>
To: gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, nobody@gcc.gnu.org,
        jwfrosch@intergraph.com
Cc:  
Subject: Re: c/7411: cistore.c:392: Internal compiler error in instantiate_virtual_regs_1, at function.c:3974
Date: Thu, 8 Aug 2002 17:35:32 +0200

 Hi,
 
 the bug can be reproduced with the following code snippet:
 
 ----------------------------snip here--------------------------
 void foo ()
 {
     int i=0, j;
     i+=j=0;
 }
 ----------------------------snip here--------------------------
 
 Just compile it with "gcc -c" on i686-pc-linux-gnu. This happens
 with gcc 3.1[.1]. It's a regression from gcc 3.0.x.
 
 Greetings,
 Volker Reichelt
 
 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=7411
 
 
Comment 3 Richard Henderson 2002-10-07 00:41:13 UTC
State-Changed-From-To: open->closed
State-Changed-Why: http://gcc.gnu.org/ml/gcc-patches/2002-09/msg01525.html
Comment 4 Richard Henderson 2002-10-07 07:37:12 UTC
From: rth@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c/7411
Date: 7 Oct 2002 07:37:12 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	rth@gcc.gnu.org	2002-10-07 00:37:12
 
 Modified files:
 	gcc            : ChangeLog expr.c 
 Added files:
 	gcc/testsuite/gcc.c-torture/compile: 20021007-1.c 
 
 Log message:
 	PR c/7411
 	* expr.c (expand_expr) [PLUS]: Simplify after the operands
 	have been expanded in EXPAND_NORMAL mode.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.15638&r2=1.15639
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/expr.c.diff?cvsroot=gcc&r1=1.485&r2=1.486
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.c-torture/compile/20021007-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1
 

Comment 5 Richard Henderson 2002-10-07 07:39:20 UTC
From: rth@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c/7411
Date: 7 Oct 2002 07:39:20 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	rth@gcc.gnu.org	2002-10-07 00:39:20
 
 Modified files:
 	gcc            : ChangeLog expr.c 
 Added files:
 	gcc/testsuite/gcc.c-torture/compile: 20021007-1.c 
 
 Log message:
 	PR c/7411
 	* expr.c (expand_expr) [PLUS]: Simplify after the operands
 	have been expanded in EXPAND_NORMAL mode.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.74&r2=1.13152.2.657.2.75
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/expr.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.423.2.19.4.2&r2=1.423.2.19.4.3
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.c-torture/compile/20021007-1.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.2.1